﻿<?php

if(isset($_GET['set']) && !preg_match('/[^0-9]/', $_GET['set']) && isset($_GET['level']) && !preg_match('/[^0-9]/', $_GET['level']) && isset($_GET['record']) && !preg_match('/[^0-9\:]/', $_GET['record']))
{
	function writeFile($filename, $newcontent)
	{
		$message = '';
		// Sichergehen, dass die Datei existiert und beschreibbar ist
		if (is_writable($filename)) 
		{
		    // $filename wird im Überschreib-Modus geöffnet
			// $newcontent wird in die Datei geschreieben
		    if ($handle = fopen($filename, "w")) 
			{
				if (flock($handle, LOCK_EX | LOCK_NB)) 
				{
					if (fwrite($handle, $newcontent))
					{
						$message .= 'Die Datei '.$filename.' wurde erfolgreich aktualisiert';
					}
					else
						$message = 'Es konnte nicht in die Datei '.$filename.' geschreiben werden';
				}
				fclose($handle);
		    }
			else
				$message= 'Die Datei '.$filename.' kann nicht geöffnet werden';
		} 
		else 
		    $message = 'Die Datei '.$filename.' ist nicht beschreibbar';
		return $message;
	}
	// save to disc
	$store = $_GET['set'] == 1 ? 'baselvlrecords.txt' : 'yoshiolvlrecords.txt';
	$file = $_GET['set'] == 1 ? 'baselvlrecords.js' : 'yoshiolvlrecords.js';
	$noLevel = $_GET['set'] == 1 ? 11 : 52;
	
	$storeContent = file_get_contents($store);
	$scoreArray = preg_split("/\n/", $storeContent);
	
	$scores = array();
	foreach($scoreArray as $score)
	{
		if(strlen(trim($score)) > 0)
		{
			$s = explode('#', $score);
			$scores[(int)$s[0]] = $s[1];
		}
	}
	$scores[(int)$_GET['level']] = $_GET['record'];
	ksort($scores);
	
	$str = 'var recordset = new Array();'."\n";
	for($i=1; $i<=$noLevel; $i++)
	{
		if(isset($scores[$i]))
		{
			$str .= 'recordset['.$i.'] = "'.$scores[$i].'";'."\n";
		}
		else
		{
			$str .= 'recordset['.$i.'] = "";'."\n";
		}
	}
	
	writeFile($file, $str);
	$str = '';
	foreach($scores as $key => $value)
	{
		$str .= $key.'#'.$value."\n";
	}
	writeFile($store, $str);
	
	
	
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
   "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
</head>
<body>
<div>One moment, please,<br>
processing data&hellip;</div>
</body>
</html>